### Method

# Gimp RGB get_uchar

#### Declaration [src]

    void
    gimp_rgb_get_uchar (
      const GimpRGB* rgb,
      guchar* red,
      guchar* green,
      guchar* blue
    )

#### Description [src]

Writes the red, green, blue and alpha components of `rgb` to the color components `red`, `green` and `blue`.

#### Parameters

`red`

  Type: `guchar*`

  Location for red component, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`green`

  Type: `guchar*`

  Location for green component, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`blue`

  Type: `guchar*`

  Location for blue component, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.